parameters:
    form.manager.class: App\ContentBundle\Services\FormManager
    form_completed.manager.class: App\ContentBundle\Services\FormCompletedManager
    form_item_completed.manager.class: App\ContentBundle\Services\FormItemCompletedManager
    form_item.manager.class: App\ContentBundle\Services\FormItemManager
    form_item_form.manager.class: App\ContentBundle\Services\FormItemFormManager
    form_item_list.manager.class: App\ContentBundle\Services\FormItemListManager
    form_item_type.manager.class: App\ContentBundle\Services\FormItemTypeManager
    form_type.manager.class: App\ContentBundle\Services\FormTypeManager

services:
    content.admin.form:
        class: App\ContentBundle\Admin\FormAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, group: Content, label: Forms, controller: App\ContentBundle\Controller\FormAdminController }
        arguments: [null, App\ContentBundle\Entity\Form ]
        calls:
            - [ setSecurityContext, [ "@security.token_storage" ] ]
            - [ setContainer, ["@service_container"] ]
    content.admin.form_completed:
        class: App\ContentBundle\Admin\FormCompletedAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, show_in_dashboard: false }
        arguments: [null, App\ContentBundle\Entity\FormCompleted ]
        calls:
            - [ setSecurityContext, [ "@security.token_storage" ] ]
            - [ setEntityManager, [ "@doctrine.orm.entity_manager" ] ]
            - [ setContainer, ["@service_container"] ]
    content.admin.form_item:
        class: App\ContentBundle\Admin\FormItemAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, group: Content, label: Form Items, audit: false }
        arguments: [null, App\ContentBundle\Entity\FormItem ]
        calls:
            - [ setSecurityContext, [ "@security.token_storage" ] ]
            - [ setEntityManager, [ "@doctrine.orm.entity_manager" ] ]
            - [ setContainer, ["@service_container"] ]
    content.admin.form_item_type:
        class: App\ContentBundle\Admin\FormItemTypeAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, group: Content, label: Form Item Types, audit: false }
        arguments: [null, App\ContentBundle\Entity\FormItemType ]
        calls:
            - [ setSecurityContext, [ "@security.token_storage" ] ]
            - [ setEntityManager, [ "@doctrine.orm.entity_manager" ] ]
            - [ setContainer, ["@service_container"] ]
    content.admin.form_type:
        class: App\ContentBundle\Admin\FormTypeAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, group: Content, label: Form Types, audit: false }
        arguments: [null, App\ContentBundle\Entity\FormType ]
    content.admin.form_item_list:
        class: App\ContentBundle\Admin\FormItemListAdmin
        tags:
            - { name: sonata.admin, manager_type: orm, show_in_dashboard: false, audit: false }
        arguments: [null, App\ContentBundle\Entity\FormItemList ]
        calls:
            - [ setSecurityContext, [ "@security.token_storage" ] ]
            - [ setEntityManager, [ "@doctrine.orm.entity_manager" ] ]
            - [ setContainer, ["@service_container"] ]
    form_type.manager:
        class: "%form_type.manager.class%"
        arguments: [ "@service_container" ]
        public: true
    form_completed.manager:
        class: "%form_completed.manager.class%"
        arguments: [ "@service_container", "@security.token_storage" ]
        public: true
    form_item_completed.manager:
        class: "%form_item_completed.manager.class%"
        arguments: [ "@service_container", "@security.token_storage" ]
        public: true
    form_item.manager:
        class: "%form_item.manager.class%"
        arguments: [ "@service_container", "@security.token_storage" ]
        public: true
    form_item_form.manager:
        class: "%form_item_form.manager.class%"
        arguments: [ "@service_container" ]
        public: true
    form_item_list.manager:
        class: "%form_item_list.manager.class%"
        arguments: [ "@service_container", "@security.token_storage" ]
        public: true
    form_item_type.manager:
        class: "%form_item_type.manager.class%"
        arguments: [ "@service_container", "@security.token_storage" ]
        public: true
    form.manager:
        class: "%form.manager.class%"
        arguments: [ "@service_container", "@security.token_storage", "@form.factory" ]
        public: true
    form.formtype:
        class: App\ContentBundle\Form\FormType
        arguments: [ "@service_container" ]
        tags:
            - { name: form.type, alias: iga_contentbundle_formtype, label: iga_contentbundle_formtype }
    form.formcompletedtype:
        class: App\ContentBundle\Form\FormCompletedType
        arguments: [ "@service_container" ]
        tags:
            - { name: form.type, alias: iga_contentbundle_formcompletedtype, label: iga_contentbundle_formcompletedtype }
    form.formcompletededittype:
        class: App\ContentBundle\Form\FormCompletedEditType
        arguments: [ "@service_container" ]
        tags:
            - { name: form.type, alias: iga_contentbundle_formcompletedtype_edit, label: iga_contentbundle_formcompletedtype_edit }
    form.formitemtype:
        class: App\ContentBundle\Form\FormItemType
        arguments: [ "@service_container" ]
        tags:
            - { name: form.type, alias: iga_contentbundle_formitemtype, label: iga_contentbundle_formitemtype }
    App\ContentBundle\DataFixtures\ORM\LoadFormItemTypeData:
        tags: [doctrine.fixture.orm]
        calls:
            - [ setContainer, ["@service_container"] ]
    App\ContentBundle\DataFixtures\ORM\LoadFormTypeData:
        tags: [doctrine.fixture.orm]
        calls:
            - [ setContainer, ["@service_container"] ]